## packetsender 7.0.5

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)
project(PacketSender)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

FIND_PACKAGE(Qt5 COMPONENTS Core Gui Network Widgets)

set(
  PACKETSENDER_UI_HEADERS
  about.h
  brucethepoodle.h
  mainwindow.h
  persistentconnection.h
  settings.h
  udpflooding.h
)

set(
  PACKETSENDER_UIS
  about.ui
  brucethepoodle.ui
  cloudui.ui
  mainwindow.ui
  multicastsetup.ui
  persistentconnection.ui
  settings.ui
  subnetcalc.ui
  udpflooding.ui
)

set(
  PACKETSENDER_SRCS
  about.cpp
  brucethepoodle.cpp
  cloudui.cpp
  main.cpp
  mainwindow.cpp
  multicastsetup.cpp
  packet.cpp
  packetlogmodel.cpp
  packetnetwork.cpp
  persistentconnection.cpp
  sendpacketbutton.cpp
  settings.cpp
  subnetcalc.cpp
  tcpthread.cpp
  threadedtcpserver.cpp
  udpflooding.cpp
)

set(
  PACKETSENDER_QRC
  packetsender.qrc
)

QT5_ADD_RESOURCES(srcs_qrc ${PACKETSENDER_QRC})
QT5_WRAP_UI(moc_uis ${PACKETSENDER_UIS})
QT5_WRAP_CPP(moc_srcs ${PACKETSENDER_UI_HEADERS})

add_executable(
  ${PROJECT_NAME}
  ${srcs_qrc}
  ${moc_uis}
  ${moc_srcs}
  ${PACKETSENDER_SRCS}
)

target_link_libraries(${PROJECT_NAME} Qt5::Widgets Qt5::Network Qt5::Core)
QT5_USE_MODULES(${PROJECT_NAME} Core Gui Network Widgets)

install(TARGETS
  ${PROJECT_NAME}
  DESTINATION bin
)

include(GetGitRevisionDescription)
git_describe(GIT_VERSION --tags)
string(REGEX REPLACE "^v([0-9]+)\\..*" "\\1" GIT_VERSION_MAJOR "${GIT_VERSION}")
string(REGEX REPLACE "^v[0-9]+\\.([0-9]+).*" "\\1" GIT_VERSION_MINOR "${GIT_VERSION}")
string(REGEX REPLACE "^v[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" GIT_VERSION_PATCH "${GIT_VERSION}")
string(REGEX REPLACE "^v[0-9]+\\.[0-9]+\\.[0-9]+(.*)" "\\1" GIT_VERSION_SHA1 "${GIT_VERSION}")
set(GIT_VERSION_SHORT "${GIT_VERSION_MAJOR}.${GIT_VERSION_MINOR}")
get_git_head_revision(GIT_REFSPEC GIT_HASH)

set(CPACK_GENERATOR "DEB")
set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
set(CPACK_PACKAGE_VENDOR "${PROJECT_NAME} project")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A network test utility for sending / receiving TCP and UDP packets http://packetsender.com/")
set(CPACK_PACKAGE_VERSION ${GIT_VERSION_SHORT})
set(CPACK_PACKAGE_VERSION_MAJOR ${GIT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${GIT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH 0)
set(CPACK_PACKAGE_CONTACT "dan@dannagle.com")

include(CPack)

=== debian/changelog ===
packetsender (7.0.5-3) unstable; urgency=medium

  * Fixed a false positive from blhc. Consequently:
      - debian/rules: added the target override_auto_build to ask to blhc to
        ignore a build line.
      - debian/salsa-ci.yml: removed a temporary permission for a fail from
        blhc.
  * debian/control: bumped Standards-Version to 4.6.0.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Sep 2021 21:18:39 -0300

packetsender (7.0.5-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml:
      - Added allow_failure to blhc until the issue isn't solved.
      - Removed special rule for reprotest that no longer fails.
  * debian/tests/control: removed xvfb test. See #988591.
  * debian/upstream/com.packetsender.packetsender.metainfo.xml: fixed a mistake
    when declaring an URL for a screenshot in lines 70/71.
  * debian/watch:
      - Added an option to ignore upstream version 7.2.3. See details at
        https://github.com/dannagle/PacketSender/issues/255
      - Updated the search rule to make it compliant with new standards of the
        GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Sep 2021 11:52:01 -0300

packetsender (7.0.5-1) unstable; urgency=medium

  * New upstream version 7.0.5.
  * The upstream is providing packetsender.desktop and packetsender.png.
    Consequently:
      - debian/install: changed to point to upstream files.
      - debian/packetsender.desktop: removed.
      - debian/packetsender.png: removed.
      - debian/source/include-binaries: removed.
      - debian/source/lintian-overrides: removed line about .desktop file.
  * debian/man/*: updated manpage date and version.
  * debian/upstream/metadata: added Changelog field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Aug 2020 22:15:30 -0300

packetsender (7.0.1-2) unstable; urgency=medium

  * debian/com.packetsender.packetsender.metainfo.xml:
      - Moved from debian/ to debian/upstream/.
      - Fixed the URLs for screenshots.
  * debian/copyright: updated path for
    com.packetsender.packetsender.metainfo.xml file.
  * debian/install: using new location for
    com.packetsender.packetsender.metainfo.xml file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Jul 2020 14:56:57 -0300

packetsender (7.0.1-1) unstable; urgency=medium

  * New upstream version 7.0.1.
  * debian/com.packetsender.packetsender.metainfo.xml: created to make available
    an AppStream metadata. Consequently:
      - debian/copyright: added a licensing for new file.
      - debian/install: added a line to install the new file.
  * debian/copyright: updated upstream copyright years.
  * debian/man/: updated manpage.
  * debian/packetsender.desktop:
      - Added a new Keyword.
      - Fixed Categories field.
  * debian/packetsender.png: changed current file 48x48 by a new file 128x128.
  * debian/patches/: removed all patches. The upstream fixed the source code.
    Thanks!
  * debian/salsa-ci.yml: removed failure condition allowed to blhc because the
    upstream fixed the source code.
  * debian/source/lintian-overrides: created to override messages about manpage
    and .desktop file, as requested by lintian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 29 Jun 2020 16:18:14 -0300

packetsender (6.2.6-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: migrated DH level to 13.
  * debian/man/:
      - Improved the manpage.
      - Using create-man.sh 2.0 from txt2man package.
  * debian/patches/010_fix-spelling-errors.patch: fixed the Forwarded field.
  * debian/tests/control:
      - Added a new test, now using Internet link.
      - Added restriction superficial for two tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 24 Jun 2020 14:04:37 -0300

packetsender (6.2.6-1) experimental; urgency=medium

  * Initial release. (Closes: #958440)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Apr 2020 23:33:41 -0300

=== debian/control ===
Source: packetsender
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, qttools5-dev
Standards-Version: 4.6.0.1
Homepage: https://packetsender.com/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/packetsender
Vcs-Git: https://salsa.debian.org/debian/packetsender.git

Package: packetsender
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network utility for sending and receiving TCP, UDP, SSL packets
 Packet Sender is a utility that sends and receives TCP, UDP and SSL (encrypted
 TCP) packets on the ports of your choosing. It supports IPv4 and IPv6 and
 provides a GUI for final users. However, is also possible use Packet Sender in
 text mode via command line.
 .
 Some features:
   * Can act as client/server to send and receive network traffic.
   * A payload can be created in ASCII or hex.
   * Command line mode is available for automation and scripting.
   * Packet Sender cloud is a disposable resource to be used to publicly
     display and distribute packets (via an URL) for collaboration, tutorials,
     end users, etc. Packet Sender may import public packet sets with public
     URL.
 .
 Some uses:
   * Control network-based devices in ways beyond their original apps.
   * Test automation (using command line tool and/or hotkeys).
   * Test network APIs (using the built-in TCP, UDP, SSL clients).
   * Malware analysis (using the built-in UDP, TCP, SSL servers).
   * Troubleshoot secure connections (using SSL).
   * Test network connectivity/firewalls (by having 2 Packet Senders talk
     to each other).
   * Stress-test a device (using intense network generator tool).
   * Tech support (by sending customers a portable Packet Sender with
     pre-defined settings and packets).
   * Share/Save/Collaborate using the Packet Sender Cloud service.
 .
 Packet Sender is useful for network security, network teaching, pentesters
 and to test firewall systems.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export QT_SELECT = qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	# False positive from blhc. See #994422.
	@echo 'blhc: ignore-line-regexp: /usr/(bin|lib)/(ccache/)?c\+\+ -dM -E -c /usr/share/cmake-[0-9.]+/Modules/CMakeCXXCompilerABI.cpp .*'
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	mv debian/packetsender/usr/bin/PacketSender debian/packetsender/usr/bin/packetsender

=== debian/watch ===
version=4
# The version 7.2.3 doesn't build. I am dropping it.
# See https://github.com/dannagle/PacketSender/issues/255
opts=uversionmangle=s/7\.2\.3// \
https://github.com/dannagle/PacketSender/releases .*/tags/v?(\d[\d.]+)\.tar\.(?:bz2|gz|xz)

## packetsender 8.0.9

=== debian/changelog ===
packetsender (8.0.9-1) unstable; urgency=medium

  * New upstream version 8.0.9.
  * debian/control: dropped the last digit in Standards-Version.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/man/*: updated manpage.
  * debian/patches/:
      - 010_fix-spelling-error.patch: created to fix a spelling error.
      - 020_cancel-autoupdate.patch: created to cancel the update check.
  * debian/rules: changed from override_dh_auto_install to
    execute_after_dh_auto_install.
  * debian/source/lintian-overrides: added a new override about a false
    positive.
  * debian/upstream/metadata: added Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Mar 2022 12:22:16 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, qttools5-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.0
 Homepage: https://packetsender.com/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/packetsender

## packetsender 8.1.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,14 @@
   PACKETSENDER_UI_HEADERS
   about.h
   brucethepoodle.h
+  irisandmarigold.h
+  mainpacketreceiver.h
   mainwindow.h
+  panel.h
+  panelgenerator.h
   persistentconnection.h
+  persistenthttp.h
+  postdatagen.h
   settings.h
   udpflooding.h
 )
@@ -22,10 +28,14 @@
   PACKETSENDER_UIS
   about.ui
   brucethepoodle.ui
+  irisandmarigold.ui
   cloudui.ui
   mainwindow.ui
   multicastsetup.ui
+  panelgenerator.ui
   persistentconnection.ui
+  persistenthttp.ui
+  postdatagen.ui
   settings.ui
   subnetcalc.ui
   udpflooding.ui
@@ -35,14 +45,20 @@
   PACKETSENDER_SRCS
   about.cpp
   brucethepoodle.cpp
+  irisandmarigold.cpp
   cloudui.cpp
   main.cpp
+  mainpacketreceiver.cpp
   mainwindow.cpp
   multicastsetup.cpp
   packet.cpp
   packetlogmodel.cpp
   packetnetwork.cpp
+  panel.cpp
+  panelgenerator.cpp
   persistentconnection.cpp
+  persistenthttp.cpp
+  postdatagen.cpp
   sendpacketbutton.cpp
   settings.cpp
   subnetcalc.cpp

=== debian/changelog ===
packetsender (8.1.1-1) unstable; urgency=medium

  * New upstream version 8.1.1.
  * debian/control: updated description.
  * debian/patches/: removed the following patches because the upstream fixed
    the source code (thanks).
      - 010_fix-spelling-error.patch
      - 030_fix-icon-path.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 Dec 2022 13:59:53 -0300

packetsender (8.0.9-3) unstable; urgency=medium

  * debian/copyright: converted the last paragraph of the GPL-2 in a comment.
  * debian/upstream/com.packetsender.packetsender.metainfo.xml:
      - Fixed a screenshot.
      - Revert to use capitalized word in start of the description.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 12 Nov 2022 18:47:31 -0300

packetsender (8.0.9-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/install: updated the install path for icons.
  * debian/patches/030_fix-icon-path.patch: created to fix the icon path
    in desktop file.
  * debian/source/lintian-overrides: updated.
  * debian/upstream/com.packetsender.packetsender.metainfo.xml:
      - Added asv-content-rating (oars).
      - Not using capitalized word in start of the description.
      - Updated URL for screenshot.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 11 Nov 2022 18:49:41 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, qttools5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://packetsender.com/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/packetsender
@@ -12,11 +12,11 @@
 Package: packetsender
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Network utility for sending and receiving TCP, UDP, SSL packets
- Packet Sender is a utility that sends and receives TCP, UDP and SSL (encrypted
- TCP) packets on the ports of your choosing. It supports IPv4 and IPv6 and
- provides a GUI for final users. However, is also possible use Packet Sender in
- text mode via command line.
+Description: Utility for sending and receiving TCP, UDP, SSL, HTTP packets
+ Packet Sender is a utility that sends and receives TCP, UDP, SSL (encrypted
+ TCP) and HTTP packets on the ports of your choosing. It supports IPv4 and IPv6
+ and provides a GUI for final users. However, is also possible use Packet Sender
+ in text mode via command line.
  .
  Some features:
    * Can act as client/server to send and receive network traffic.

## packetsender 8.3.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
   postdatagen.h
   settings.h
   udpflooding.h
+  languagechooser.h
 )
 
 set(
@@ -39,6 +40,7 @@
   settings.ui
   subnetcalc.ui
   udpflooding.ui
+  languagechooser.ui
 )
 
 set(
@@ -65,11 +67,14 @@
   tcpthread.cpp
   threadedtcpserver.cpp
   udpflooding.cpp
+  languagechooser.cpp
 )
 
 set(
   PACKETSENDER_QRC
   packetsender.qrc
+  qdarkstyle/style.qrc
+  translations.qrc
 )
 
 QT5_ADD_RESOURCES(srcs_qrc ${PACKETSENDER_QRC})

=== debian/changelog ===
packetsender (8.3.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 13:11:41 -0300

packetsender (8.3.5-1) unstable; urgency=medium

  * New upstream version 8.3.5.
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Updated long description.
  * debian/copyright: updated packaging and upstream copyright years.
  * debian/upstream/metadata: added Documentation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Jun 2023 18:28:48 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, qttools5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://packetsender.com/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/packetsender
@@ -14,9 +14,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Utility for sending and receiving TCP, UDP, SSL, HTTP packets
  Packet Sender is a utility that sends and receives TCP, UDP, SSL (encrypted
- TCP) and HTTP packets on the ports of your choosing. It supports IPv4 and IPv6
- and provides a GUI for final users. However, is also possible use Packet Sender
- in text mode via command line.
+ TCP)packets as well HTTP/HTTPS on the ports of your choosing. It supports
+ IPv4 and IPv6 and provides a GUI for final users. However, is also possible
+ use Packet Sender in text mode via command line.
  .
  Some features:
    * Can act as client/server to send and receive network traffic.

## packetsender 8.4.3

=== debian/changelog ===
packetsender (8.4.3-1) unstable; urgency=medium

  * New upstream version 8.4.3.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Sep 2023 19:44:15 -0300

## packetsender 8.5.2

=== debian/changelog ===
packetsender (8.5.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:24 +1100

packetsender (8.5.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:18:56 +0000

packetsender (8.5.2-1) unstable; urgency=medium

  * New upstream version 8.5.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Nov 2023 08:19:35 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: packetsender
 Section: net
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, qttools5-dev
 Standards-Version: 4.6.2
 Homepage: https://packetsender.com/

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,5 @@
 	@echo 'blhc: ignore-line-regexp: /usr/(bin|lib)/(ccache/)?c\+\+ -dM -E -c /usr/share/cmake-[0-9.]+/Modules/CMakeCXXCompilerABI.cpp .*'
 	dh_auto_build
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mv debian/packetsender/usr/bin/PacketSender debian/packetsender/usr/bin/packetsender

## packetsender 8.6.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
   settings.h
   udpflooding.h
   languagechooser.h
+  wakeonlan.h
 )
 
 set(
@@ -41,6 +42,7 @@
   subnetcalc.ui
   udpflooding.ui
   languagechooser.ui
+  wakeonlan.ui
 )
 
 set(
@@ -68,6 +70,7 @@
   threadedtcpserver.cpp
   udpflooding.cpp
   languagechooser.cpp
+  wakeonlan.cpp
 )
 
 set(

=== debian/changelog ===
packetsender (8.6.5-1) unstable; urgency=medium

  * New upstream version 8.6.5.
  * debian/copyright: updated packaging copyright years.
  * debian/doc: created to install the upstream README files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 May 2024 09:59:54 -0300

## packetsender 8.7.1

=== debian/changelog ===
packetsender (8.7.1-1) unstable; urgency=medium

  * New upstream version 8.7.1.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated metadata and upstream copyright years.
  * debian/upstream/com.packetsender.packetsender.metainfo.xml:
      - Added 'developer' component.
      - Added 'url' component.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 07 Aug 2024 23:10:07 -0300

## packetsender 8.8.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,9 @@
   udpflooding.h
   languagechooser.h
   wakeonlan.h
+  association.h
+  dtlsserver.h
+  dtlsthread.h
 )
 
 set(
@@ -71,6 +74,9 @@
   udpflooding.cpp
   languagechooser.cpp
   wakeonlan.cpp
+  association.cpp
+  dtlsserver.cpp
+  dtlsthread.cpp
 )
 
 set(

=== debian/changelog ===
packetsender (8.8.9-2) unstable; urgency=medium

  * Providing a plain text version from README.md.. Consequently:
      - debian/control: added pandoc to Build-Depends field.
      - debian/rules: created the target execute_after_dh_installdocs
        to generate the plain text.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.
  * debian/doc: renamed to debian/docs, fixing a grave mistake.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Apr 2025 12:56:31 -0300

packetsender (8.8.9-1) unstable; urgency=medium

  * New upstream version 8.8.9.
  * debian/copyright: added new rights for the upstream side.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 09 Dec 2024 17:10:59 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: packetsender
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, qttools5-dev
-Standards-Version: 4.6.2
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, pandoc, qttools5-dev
+Standards-Version: 4.7.2
 Homepage: https://packetsender.com/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/packetsender

=== debian/tests/control ===
Test-Command: packetsender -h
Restrictions: superficial

Test-Command: packetsender -v
Restrictions: superficial

Test-Command: packetsender -w 500 -a debian.org 80
              "GET / HTTP/1.1\r\nHost: debian.org\r\n\r\n" |
              grep debian.org || exit 77
Restrictions: needs-internet, skippable

## packetsender 8.9.1

=== src/snap/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(packetsender VERSION 1.0 LANGUAGES C CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Set up AUTOMOC and some sensible defaults for runtime execution
# When using Qt 6.3, you can replace the code block below with
# qt_standard_project_setup()
set(CMAKE_AUTOMOC ON)
include(GNUInstallDirs)
set(CMAKE_AUTOUIC ON)

find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Network Widgets)

set(SOURCES
    about.cpp
    brucethepoodle.cpp
    cloudui.cpp
    irisandmarigold.cpp
    languagechooser.cpp
    main.cpp
    mainpacketreceiver.cpp
    mainwindow.cpp
    multicastsetup.cpp
    packet.cpp
    packetlogmodel.cpp
    packetnetwork.cpp
    panel.cpp
    panelgenerator.cpp
    persistentconnection.cpp
    persistenthttp.cpp
    postdatagen.cpp
    sendpacketbutton.cpp
    settings.cpp
    subnetcalc.cpp
    tcpthread.cpp
    threadedtcpserver.cpp
    udpflooding.cpp
    wakeonlan.cpp
)

set(HEADERS 
    about.h
    brucethepoodle.h
    cloudui.h
    globals.h
    irisandmarigold.h
    languagechooser.h
    mainpacketreceiver.h
    mainwindow.h
    multicastsetup.h
    packet.h
    packetlogmodel.h
    packetnetwork.h
    panel.h
    panelgenerator.h
    persistenthttp.h
    postdatagen.h
    sendpacketbutton.h
    settings.h
    subnetcalc.h
    tcpthread.h
    threadedtcpserver.h
    udpflooding.h
    wakeonlan.h
)

set(FORMS 
    about.ui
    brucethepoodle.ui
    cloudui.ui
    irisandmarigold.ui
    languagechooser.ui
    mainwindow.ui
    multicastsetup.ui
    panelgenerator.ui
    persistentconnection.ui
    persistenthttp.ui
    postdatagen.ui
    settings.ui
    subnetcalc.ui
    udpflooding.ui
    wakeonlan.ui

)

qt_add_resources(RESOURCES packetsender.qrc translations.qrc qdarkstyle/style.qrc)

set(CSS
    packetsender.css
)

qt_add_executable(packetsender 
    ${SOURCES} ${HEADERS} ${FORMS} ${RESOURCES} ${CSS}
)

execute_process(COMMAND git -C  ${PROJECT_SOURCE_DIR} rev-parse --short HEAD OUTPUT_VARIABLE GIT_SHA COMMAND_ERROR_IS_FATAL ANY OUTPUT_STRIP_TRAILING_WHITESPACE)

target_compile_definitions(packetsender PRIVATE
    GUI_BUILD
    ISSNAP=1
    QT_DISABLE_DEPRECATED_BEFORE=0x050F00
    GIT_CURRENT_SHA1=\"${GIT_SHA}\"
)


target_link_libraries(packetsender PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::Widgets
)



target_compile_definitions(packetsender PRIVATE
    _FORTIFY_SOURCE=2
)


install(TARGETS packetsender
    BUNDLE DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(FILES packetsender.desktop DESTINATION /usr/share/applications)
install(FILES packetsender.svg DESTINATION /usr/share/icons)

# Consider using qt_generate_deploy_app_script() for app deployment if
# the project can use Qt 6.3. In that case rerun qmake2cmake with
# --min-qt-version=6.3.

=== debian/changelog ===
packetsender (8.9.1-3) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 22:06:10 -0300

packetsender (8.9.1-2) unstable; urgency=medium

  * debian/control: removed no longer needed "Rules-Requires-Root: no" field.
  * debian/patches/:
      - 020_fix-FTBFS-Cmake4.patch: created to fix a FTBFS with CMake4. Thanks
        to Dan Nagle <dan@dannagle.com>. (Closes: #1113384)
      - 020_cancel-autoupdate.patch: renamed to 010_cancel-autoupdate.patch.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 27 Sep 2025 10:47:21 -0300

packetsender (8.9.1-1) unstable; urgency=medium

  * New upstream version 8.9.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Sep 2025 22:22:32 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: packetsender
 Section: net
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, pandoc, qttools5-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://packetsender.com/
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/packetsender
 Vcs-Git: https://salsa.debian.org/debian/packetsender.git

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,17 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export QT_SELECT = qt5
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --sourcedirectory=src
+
+# blhc should ignore CMake ABI tests.
+execute_before_dh_auto_build:
+	@echo 'blhc: ignore-line-regexp: /usr/bin/c\+\+ .*/Modules/CMakeCXXCompilerABI\.cpp .*'
 
 override_dh_auto_build:
 	# False positive from blhc. See #994422.
@@ -14,3 +20,7 @@
 
 execute_after_dh_auto_install:
 	mv debian/packetsender/usr/bin/PacketSender debian/packetsender/usr/bin/packetsender
+
+execute_after_dh_installdocs:
+	cd debian/${DEB_SOURCE}/usr/share/doc/${DEB_SOURCE}; \
+	pandoc README.md -f markdown -t plain -o README

=== debian/watch ===
Version: 5

# The version 7.2.3 doesn't build. I am dropping it.
# See https://github.com/dannagle/PacketSender/issues/255
Template: Github
Owner: dannagle
Project: PacketSender
Uversionmangle: s/7\.2\.3//
